=== debian/changelog ===
ros-melodic-nav2d-operator (0.4.2-0bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Sebastian Kasperski <sebastian.kasperski@dfki.de>  Thu, 28 Mar 2019 14:46:20 -0000
