=== debian/control ===
Source: ros-melodic-nav2d-operator
Section: misc
Priority: extra
Maintainer: Sebastian Kasperski <sebastian.kasperski@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-costmap-2d, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf2-ros
Homepage: http://wiki.ros.org/nav2d_operator
Standards-Version: 3.9.2

Package: ros-melodic-nav2d-operator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-costmap-2d, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-tf
Description: The operator is a lightweight, purely reactive obstacle-avoidance module for mobile robots moving in a planar environment.
 The operator node works by evaluating a set of predefined motion primitives based on a local costmap and a desired direction. The best evaluated motion command will be send to the mobile base.
